---
updatedAt: 2025-12-28T21:51:27.000Z
agentTools:
  projectIndex: https://docs.aerocrs.com/llms.txt
---

# confirmBooking

This method will confirm a booking according to a booking id.

## Request parameters

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Parameter
      </th>

      <th style={{ textAlign: "left" }}>
        Type
      </th>

      <th style={{ textAlign: "left" }}>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        bookingid
      </td>

      <td style={{ textAlign: "left" }}>
        Number\*
      </td>

      <td style={{ textAlign: "left" }}>
        bookingid taken from [createBooking](https://docs.aerocrs.com/reference/createbooking)
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        agentconfirmation
      </td>

      <td style={{ textAlign: "left" }}>
        String\*
      </td>

      <td style={{ textAlign: "left" }}>
        Agent reference
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        remarks
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        Free text (not mandatory)
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        passenger
      </td>

      <td style={{ textAlign: "left" }}>
        Element\*
      </td>

      <td style={{ textAlign: "left" }}>
        Include the passenger details to update
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        paxtitle
      </td>

      <td style={{ textAlign: "left" }}>
        String\*
      </td>

      <td style={{ textAlign: "left" }}>
        Mr./Mrs./Miss./Child/INFANT
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        firstname
      </td>

      <td style={{ textAlign: "left" }}>
        String\*
      </td>

      <td style={{ textAlign: "left" }}>
        First name of passenger
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        lastname
      </td>

      <td style={{ textAlign: "left" }}>
        String\*
      </td>

      <td style={{ textAlign: "left" }}>
        Last name of passenger
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        paxage
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        Age of passenger – Mandatory only for children
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        paxnationailty
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        Passenger nationality (ISO country code)
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        paxdoctype
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        Document type PP- Passport / ID-National ID
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        paxdocnumber
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        Document number
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        paxdocissuer
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        Document issuer (ISO country code)
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        paxdocexpiry
      </td>

      <td style={{ textAlign: "left" }}>
        Date
      </td>

      <td style={{ textAlign: "left" }}>
        Document expiry (YYYY/MM/DD)
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        paxbirthdate
      </td>

      <td style={{ textAlign: "left" }}>
        Date
      </td>

      <td style={{ textAlign: "left" }}>
        Passenger birth date (YYYY/MM/DD)
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        paxvisanumber
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        Visa number
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        paxvisaexpiry
      </td>

      <td style={{ textAlign: "left" }}>
        Date
      </td>

      <td style={{ textAlign: "left" }}>
        Visa expiry (YYYY/MM/DD)
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        paxphone
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        Passenger phone
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        paxemail
      </td>

      <td style={{ textAlign: "left" }}>
        E-mail
      </td>

      <td style={{ textAlign: "left" }}>
        Passenger e-mail
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        paxweight
      </td>

      <td style={{ textAlign: "left" }}>
        Number
      </td>

      <td style={{ textAlign: "left" }}>
        Passenger weight
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        paxcarringinfant
      </td>

      <td style={{ textAlign: "left" }}>
        Boolean
      </td>

      <td style={{ textAlign: "left" }}>
        Passenger is caring an infant (1- true, 0- false) (mandatory in case booking has at least one infant)
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        confirmationemail
      </td>

      <td style={{ textAlign: "left" }}>
        E-mail
      </td>

      <td style={{ textAlign: "left" }}>
        Confirmation e-mail will be sent to this e-mail, please fill valid e-mail (not mandatory)
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        holdBooking
      </td>

      <td style={{ textAlign: "left" }}>
        Boolean
      </td>

      <td style={{ textAlign: "left" }}>
        A boolean parameter whether to allow booking hold for X minutes. (Values= true/false)\
        **Important**\
        In order to check if you can use this option - please contact AeroCRS
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        sendemail
      </td>

      <td style={{ textAlign: "left" }}>
        Boolean
      </td>

      <td style={{ textAlign: "left" }}>
        1 - Send a web confirmation email to the customer, 0 - Will not send a web confirmation email to the customer\
        (If not set in the request, The default value is 1)
      </td>
    </tr>
  </tbody>
</Table>

> ❗️ \* Mandatory parameters

## Response parameters

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        bookingid
      </td>

      <td>
        Number
      </td>

      <td>
        Booking ID used
      </td>
    </tr>

    <tr>
      <td>
        bookingconfirmation
      </td>

      <td>
        String
      </td>

      <td>
        Booking confirmation string
      </td>
    </tr>

    <tr>
      <td>
        linktobooking
      </td>

      <td>
        Link
      </td>

      <td>
        The link to the booking in the airline website
      </td>
    </tr>

    <tr>
      <td>
        pnrref
      </td>

      <td>
        String
      </td>

      <td>
        The PNR ref (record locator)
      </td>
    </tr>

    <tr>
      <td>
        topay
      </td>

      <td>
        Money
      </td>

      <td>
        Amount left to pay
      </td>
    </tr>

    <tr>
      <td>
        currency
      </td>

      <td>
        String
      </td>

      <td>
        Currency of payment
      </td>
    </tr>

    <tr>
      <td>
        pnrptl
      </td>

      <td>
        Date
      </td>

      <td>
        Payment time limit in GMT time zone YYYY/MM/DD hh:mm
      </td>
    </tr>

    <tr>
      <td>
        pnrttl
      </td>

      <td>
        Date
      </td>

      <td>
        Ticketing time limit in GMT time zone YYYY/MM/DD hh:mm
      </td>
    </tr>

    <tr>
      <td>
        status
      </td>

      <td>
        String
      </td>

      <td>
        OK – PNR is OK and approved
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "aerocrs-v5",
    "version": "5.0"
  },
  "servers": [
    {
      "url": "https://api.aerocrs.com/v5"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_password"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/confirmBooking": {
      "post": {
        "summary": "confirmBooking",
        "description": "This method will confirm a booking according to a booking id.",
        "operationId": "confirmbooking",
        "parameters": [
          {
            "name": "auth_id",
            "in": "header",
            "description": "ID provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "auth_password",
            "in": "header",
            "description": "Password provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "RAW_BODY"
                ],
                "properties": {
                  "RAW_BODY": {
                    "type": "string",
                    "description": "The method accepts the XML / JSON input as POST, response format will be according to the sent format. You can try JSON, put the post in the following input and click \"Try It\"",
                    "format": "json"
                  }
                }
              },
              "examples": {
                "Request Example": {
                  "value": {
                    "aerocrs": {
                      "parms": {
                        "bookingid": 34229578,
                        "agentconfirmation": "apiconnector",
                        "confirmationemail": "test@test.com",
                        "passenger": [
                          {
                            "paxtitle": "Mr.",
                            "firstname": "John",
                            "lastname": "Smith",
                            "paxage": null,
                            "paxnationailty": "US",
                            "paxdoctype": "PP",
                            "paxdocnumber": "9919239123",
                            "paxdocissuer": "US",
                            "paxdocexpiry": "2020/12/31",
                            "paxbirthdate": "1979/12/31",
                            "paxphone": "939383838383",
                            "paxemail": "info@aerocrs.com"
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "JSON": {
                    "value": "{\n    \"aerocrs\": {\n        \"success\": true,\n        \"bookingid\": 34229578,\n        \"bookingconfirmation\": \"A692C7B3-CAAD-4A15-92A2-2FE8FAF7849B\",\n        \"linktobooking\": \"http://northair.aerocrs.net/booking/A692C7B3-CAAD-4A15-92A2-2FE8FAF7849B\",\n        \"pnrref\": \"20A692C\",\n      \t\"topay\": \"120.00\",\n      \t\"currency\": \"USD\",\n      \t\"pnrptl\": \"2019/01/31 10:05\",\n      \t\"pnrttl\": \"2019/01/31 11:00\",\n        \"status\": \"OK\"\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "aerocrs": {
                      "type": "object",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "example": true,
                          "default": true
                        },
                        "bookingid": {
                          "type": "integer",
                          "example": 34229578,
                          "default": 0
                        },
                        "bookingconfirmation": {
                          "type": "string",
                          "example": "A692C7B3-CAAD-4A15-92A2-2FE8FAF7849B"
                        },
                        "linktobooking": {
                          "type": "string",
                          "example": "http://northair.aerocrs.net/booking/A692C7B3-CAAD-4A15-92A2-2FE8FAF7849B"
                        },
                        "pnrref": {
                          "type": "string",
                          "example": "20A692C"
                        },
                        "topay": {
                          "type": "string",
                          "example": "120.00"
                        },
                        "currency": {
                          "type": "string",
                          "example": "USD"
                        },
                        "pnrptl": {
                          "type": "string",
                          "example": "2019/01/31 10:05"
                        },
                        "pnrttl": {
                          "type": "string",
                          "example": "2019/01/31 11:00"
                        },
                        "status": {
                          "type": "string",
                          "example": "OK"
                        }
                      }
                    }
                  }
                }
              },
              "application/xml": {
                "examples": {
                  "XML": {
                    "value": "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<aerocrs>\n    <success>true</success>\n    <bookingid>34229501</bookingid>\n    <bookingconfirmation>C9187DC9-A39A-45B1-AB67-D525AA4B7768</bookingconfirmation>\n    <linktobooking>http://northair.aerocrs.net/booking/C9187DC9-A39A-45B1-AB67-D525AA4B7768</linktobooking>\n    <pnrref>20C9187</pnrref>\n\t  <topay>120.00</topay>\n\t  <currency>USD</currency>\n    <status>OK</status>\n</aerocrs>"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "xml",
              "code": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<aerocrs>\n\t<parms>\n\t\t<bookingid>34229501</bookingid>\n\t\t<agentconfirmation>apiconnector</agentconfirmation>\n\t\t<confirmationemail>test@test.com</confirmationemail>\n\t\t<remarks>test</remarks>\n\t\t<passenger>\n\t\t\t<paxtitle>Mr.</paxtitle>\n\t\t\t<firstname>John</firstname>\n\t\t\t<lastname>Smith</lastname>\n\t\t\t<paxage/>\n\t\t\t<paxnationailty>MM</paxnationailty>\n\t\t\t<paxdoctype>ID</paxdoctype>\n\t\t\t<paxdocnumber>test</paxdocnumber>\n\t\t\t<paxdocissuer>MM</paxdocissuer>\n\t\t\t<paxdocexpiry>2020/10/29</paxdocexpiry>\n\t\t\t<paxbirthdate>1990/03/12</paxbirthdate>\n\t\t\t<paxphone>+6012369123432</paxphone>\n\t\t\t<paxemail>test@test.com</paxemail>\n\t\t</passenger>\n\t</parms>\n</aerocrs>"
            }
          ],
          "samples-languages": [
            "xml"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```